تغییر نسخه php لاراول

باسلام. بنده لاراول رو روی هاست گذاشتم و پیش‌نیاز لاراول، php نسخه 8 است - در حالیکه میخوام از امکاناتی همچون ffmpeg استفاده کنم که فقط در php نسخه 7 قابل استفاده است.

حالا چه راهی وجود داره که بتونم پیش نیاز لاراول را به php نسخه 7 تغییر بدم؟

ممنون

برچسب ها:
پرسیده شده در: 5 ماه قبل
آمار بازدید: 175
0

سلام. در حال حاضر نسخه PHP8 برای کتابخانه FFmpeg در دسترس هست و چنانچه از این پکیج استفاده می کنید کافیست با دستور زیر آن را آپدیت کنید:

composer require php-ffmpeg/php-ffmpeg:1.0.0

دقت داشته باشید که به جای عدد ۱.۰ حتما و حتما ورژن دلخواه خودتون رو قرار بدید که برای PHP8 نسخه ۱.۰.۱ قابل استفاده است.

ارسال شده در: 4 ماه قبل
masoudsalehi (1611)
بیش از ۲ سال عضویت در روکسو بیش از ۲ سال عضویت در روکسو دارای 1000 کارما دارای 1000 کارما نظرات دریافتی:‌ بیش از 50 نظرات دریافتی:‌ بیش از 50 ارسال کننده پاسخ با 25 رای ارسال کننده پاسخ با 25 رای دارای 25 پاسخ صحیح دارای 25 پاسخ صحیح
جهت ارسال پاسخ ابتدا عضو سایت شوید.